.TH "{PristineTar}" "1" "December 2009" "{PristineTar} {Version}" "User Commands"

.SH NAME

{PristineTar} - Recreate pristine source tarballs.

.SH SYNOPSIS

\fB{PristineTar}\fR [\fIoption\fR] ... [\fIversion\fR]

.SH DESCRIPTION

Build pristine source tarballs from the Mercurial repository in the
current directory.  If \fIversion\fR is specified, then tarballs for
that version is recreated instead of the most recent from from
debian/changelog.

.SH OPTIONS

.HP
\fB\-\-version\fR, \fB\-V\fR
.IP
Output version and exit.

.HP
\fB\-\-verbose\fR, \fB\-v\fR
.IP
Increase verbosity level.  Can be used several times.

.SH EXAMPLES

.HP
\fB{PristineTar}\fR 1.2.3
.IP
Create pristine ../mypack_1.2.3.orig.tar.{gz,bz2,lzma,xz} and
\&../mypack_1.2.3.orig\-component*.tar.{gz,bz2,lzma,xz} if applicable from the
repository in the current directory.

.SH BUGS

Generating tarballs compressed by \fBlzma\fR(1) might not end up being
identical to the original because the \fBpristine\-tar\fR(1) suite does
not have support for \fBlzma\fR(1).

.SH AUTHOR

Jens Peter Secher <jpsecher@gmail.com>

.SH SEE ALSO

\fBpristine\-gz\fR(1),
\fBpristine\-bz2\fR(1),
\fBpristine\-xz\fR(1),
\fB{ImportOrig}\fR(1),
\fB{ImportDsc}\fR(1),
\fB{BuildPackage}\fR(1),
\fB{TagVersion}\fR(1),
\fB{Port}\fR(1).
